sc::BendSimpleCo(3)

NAME
sc::BendSimpleCo -

The BendSimpleCo class describes an bend internal coordinate of a molecule.

SYNOPSIS

#include <simple.h>

Inherits sc::SimpleCo.

  Public Member Functions
BendSimpleCo (const BendSimpleCo &)
BendSimpleCo (const char *, int, int, int)
This constructor takes a string containing a label, and three integers a, b, and c which give the indices of the atoms involved in the angle abc.
BendSimpleCo (const Ref< KeyVal > &)
The KeyVal constructor.
const char * ctype () const
Always returns the string 'BEND'.
double radians () const
Returns the value of the angle abc in radians.
double degrees () const
Returns the value of the angle abc in degrees.
double preferred_value () const
Returns the value of the angle abc in degrees.

Detailed Description

The BendSimpleCo class describes an bend internal coordinate of a molecule. The input is described in the documentation of its parent class SimpleCo.

Designating the three atoms as $a$, $b$, and $c$ and their cartesian positions as $r$, $rnd $rlue of the coordinate, $ heta$, is given by

rb} = ac{r - rr{r}_a - rr{u}_{cb} = ac{rr{r}_b}{ rr{r}_b }]

Constructor & Destructor Documentation

  sc::BendSimpleCo::BendSimpleCo (const char *, int, int, int)

This constructor takes a string containing a label, and three integers a, b, and c which give the indices of the atoms involved in the angle abc. Atom numbering begins at atom 1, not atom 0.

  sc::BendSimpleCo::BendSimpleCo (const Ref< KeyVal > &)

The KeyVal constructor. This calls the SimpleCo keyval constructor with an integer argument of 3.

Author

Generated automatically by Doxygen for MPQC from the source code.